---

# TODO: use native lock_timeout if on Ansible 2.12 or newer:
# https://docs.ansible.com/ansible/latest/collections/ansible/builtin/apt_module.html#parameter-lock_timeout
- name: "⌛ Wait for any possibly running unattended upgrade to finish"
  ansible.builtin.raw: systemd-run --property="After=apt-daily.service apt-daily-upgrade.service" --wait /bin/true
  ignore_errors: true

- name: "📥 Install Homebrew / Linuxbrew dependencies"
  become: true
  ansible.builtin.apt:
    name:
      - certbot

- name: "✔ Allow HTTP traffic for Certbot"
  community.general.ufw:
    rule: allow
    port: 80
